Loading...
Searching...
No Matches
etl::to_arithmetic_result< TValue > Class Template Reference

Status values for to_arithmetic. More...

`#include <to_arithmetic.h>`

## Public Types

typedef TValue | value_type
typedef etl::to_arithmetic_status | error_type
typedef etl::unexpected< etl::to_arithmetic_status > | unexpected_type

## Public Member Functions

ETL_CONSTEXPR14 | to_arithmetic_result ()
| Default constructor.
ETL_CONSTEXPR14 | to_arithmetic_result (const to_arithmetic_result &other)
| Copy constructor.
ETL_NODISCARD ETL_CONSTEXPR14 bool | has_value () const
| Returns true if the result has a valid value.
ETL_NODISCARD ETL_CONSTEXPR14 | operator bool () const
| Returns true if the result has a valid value.
ETL_NODISCARD ETL_CONSTEXPR14 value_type | value () const
ETL_NODISCARD ETL_CONSTEXPR14 | operator value_type () const
ETL_NODISCARD ETL_CONSTEXPR14 error_type | error () const
ETL_CONSTEXPR14 to_arithmetic_result & | operator= (value_type value_)
| Assignment from a value.
ETL_CONSTEXPR14 to_arithmetic_result & | operator= (unexpected_type status_)
| Assignment from an unexpected_type.

## Detailed Description

template<typename TValue>
class etl::to_arithmetic_result< TValue >

Status values for to_arithmetic.

## Member Function Documentation

## error()

template<typename TValue>

ETL_NODISCARD ETL_CONSTEXPR14 error_type etl::to_arithmetic_result< TValue >::error | ( |  | ) | const

inline

Returns the conversion status. One of the following:- Valid Invalid_Radix Invalid_Format Invalid_Float Signed_To_Unsigned Overflow

## operator value_type()

template<typename TValue>

ETL_NODISCARD ETL_CONSTEXPR14 etl::to_arithmetic_result< TValue >::operator value_type | ( |  | ) | const

inline

Returns the value, if valid. Otherwise undefined.

## value()

template<typename TValue>

ETL_NODISCARD ETL_CONSTEXPR14 value_type etl::to_arithmetic_result< TValue >::value | ( |  | ) | const

inline

Returns the value, if valid. Otherwise undefined.

The documentation for this class was generated from the following file:

- include/etl/to_arithmetic.h